import {Component} from 'angular2/core';
import {CoursesComponent} from './courses.component';
import {AuthorsComponent} from './authors.component';
import {RouteConfig, ROUTER_DIRECTIVES} from 'angular2/router'

@Component({
    selector: 'my-app',
    template: `
        <h1>My First Angular 2 App</h1>
        <nav>
            <a [routerLink]="['Courses']">Courses</a>
            <a [routerLink]="['Authors']">Authors</a>
        </nav>
        <router-outlet></router-outlet>`,
    directives: [CoursesComponent, AuthorsComponent, ROUTER_DIRECTIVES]
})
@RouteConfig([
    { path: '/courses', name: 'Courses', component: CoursesComponent, useAsDefault: true },
    { path: '/authors', name: 'Authors', component: AuthorsComponent }
])
export class AppComponent { 
}